<?xml version="1.0" encoding="UTF-8"?>
<value merge="@/fileoutput/variablevalue.xml">
    <value key="Calibration" merge="@/common/calibration.xml">
        <meta key="Description" type="string">Calibration applied to real numbers</meta>
    </value>

    <value key="Type" type="metastring">
        <meta key="Description" type="string">Data conversion type</meta>
        <meta key="UndefinedDescription" type="string">None</meta>
        <meta key="Editor" type="hash">
            <value key="Type" type="string">Enumeration</value>
            <value key="DefaultCollapsed" type="boolean">true</value>
        </meta>
        <meta key="EnumerationValues" type="hash">
            <value key="None" type="hash">
                <value key="SortPriority" type="integer">0</value>
                <value key="Description" type="string">No conversion, use the value as it appears in the data or constant</value>
                <value key="Alias" type="flags">
                    <flag>Data</flag>
                    <flag>Raw</flag>
                </value>
            </value>
            <value key="RealFromMetadataProcessing" type="hash">
                <value key="SortPriority" type="integer">1</value>
                <value key="Description" type="string">Extract a real number from a processing metadata record</value>
                <value key="Alias" type="flags">
                    <flag>RealProcessing</flag>
                </value>
            </value>
        </meta>
    </value>

    <meta key="Overlay" type="array">
        <value type="hash">
            <value key="Require" type="hash">
                <value key="Type" type="string">RealFromMetadataProcessing</value>
            </value>
            <value key="Final" type="boolean">true</value>
            <value key="Data" type="metahash">
                <value key="Stage" type="metastring">
                    <meta key="Description" type="string">Processing stage name to match</meta>
                    <meta key="Editor" type="hash">
                        <value key="Type" type="string">RegularExpression</value>
                    </meta>
                </value>
                <value key="CaseSensitive" type="metaboolean">
                    <meta key="Description" type="string">Match the processing stage in case sensitive mode</meta>
                </value>
            </value>
        </value>
    </meta>
</value>